@echo off
cd BIOS

echo Checking ROM file .....
ckmode XH270000.106 XH270 4057
if errorlevel 1 goto end

:flash
fpt.exe -f XH270000.106
if errorlevel 1 goto end
call DISEUP.EXE
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit
